Hi Francesco, hi Andreas,

Il giorno Tue, 14 Dec 2010 15:55:19 +0100
"Francesco P. Lovergine" <fran...@debian.org> ha scritto:

> On Tue, Dec 14, 2010 at 08:55:25AM +0100, Antonio Valentino wrote:
> > 
> > > Moreover I would like you to inject your packaging into Debian
> > > GIS SVN and set Vcs fields accordingly.
> > > 
> > 
> > Ok, if I understand correctly, as a member of the debian pure blends
> > team, I should already have commit access.
> > I wonder if I should ask to become a member of the Alioth Grass
> > Project.
> > 
> Yes, you need it because it is a different group.

OK, thanks.
I've sent a request to be added to the pkg-grass group via FusionForge.

> > Sorry I'm still learning common practices of debian development:
> > inject means svn-inject, isn't it?
> > 
> Yes, but note that git is also usable, if you prefer so.

Yes thanks.
the epr-api package is now available on a public git repository in my
user area:

git clone git://git.debian.org/~a_valentino-guest/epr-api.git

I also set the Maintainer and Uploader fields of the control file as
suggested by Andreas:

Maintainer: Debian GIS Project <pkg-grass-devel ...>
Uploaders: Antonio Valentino <antonio.valentino ...>

If you think epr-api.git should be pushed in
git://git.debian.org/pkg-grass please let me know, but I have to wait
to be added to the pkg-grass group to do it.

> > > BTW, lintian reveals some "Information" messages if started in
> > > nitpicking mode:
> > > 
> > >    lintian -i -I *.deb *.dsc
> > > 
> > > Perhaps you might consider fixing these as well.
> > > 
> > 
> > OK, I have already fixed the ones regarding package description and
> > the spelling error.
> > The one regarding library symbols is a little harder for me and I
> > need to read the documentation more carefully.

OK, the only message now I get running 

$ lintian -i -I *.deb *.dsc

is the one related to the symbols control file:

I: libepr-api2: no-symbols-control-file usr/lib/libepr_api.so.2
N:    Severity: wishlist, Certainty: certain

Unfortunately the library exports non-public symbols so, if my
understanding of


is correct symbols versioning should not be used.

Of course I could try to make a patch for this if you think.

best regards

Antonio Valentino

Pkg-grass-devel mailing list

Reply via email to